<template>
  <v-app light class="_order">
    <header id="header" class="header5">
      <nav class="_order_nav pa-0">
        <div class="_main_header full container space-between align-center">
            <nuxt-link v-if="$route.path == '/order-confirmation'" to="/customer/orders" class="_csback _mobile_show pl-4">
                <v-icon>arrow_back</v-icon>
            </nuxt-link>
            <nuxt-link v-if="customer" to="/customer/orders/" class="_csback _mobile_show pl-4">
                <v-icon>arrow_back</v-icon>
            </nuxt-link>
            <nuxt-link v-if="broker" to="/broker/orders/" class="_csback _mobile_show pl-4">
                <v-icon>arrow_back</v-icon>
            </nuxt-link>
            <nuxt-link v-if="broker" to="/broker/orders/" class="_csback _mobile_show pl-4">
                <v-icon>arrow_back</v-icon>
            </nuxt-link>
            <div class="logo width-100 justify-center _mobile_flex_start">
                <nuxt-link to="/"><img :src="$store.state.app_domain + 'img/cardboadbalingwire-logo.jpg'" alt=""></nuxt-link>
            </div>
            <v-btn depressed large outline href="tel:+18332253843" class="_mobile_hidden">
                <v-icon left>call</v-icon>
                +1-(833) 225-3843
            </v-btn>
        </div>
      </nav>
    </header>
    <v-content>
        <nuxt />
    </v-content>
    <v-snackbar
     :timeout="getNumber(0)"
      v-model="$store.state.snackbar"
    >
      {{ $store.state.snackbar_text }}
      <v-btn
        color="pink"
        flat
        @click="$store.commit('hideSnackBar')"
      >
        Close
      </v-btn>
    </v-snackbar>
      <client-only>
        <script type="text/javascript">
          window._mfq = window._mfq || [];
          (function() {
          var mf = document.createElement("script");
          mf.type = "text/javascript"; mf.async = true;
          mf.src = "//cdn.mouseflow.com/projects/cb05541b-0d01-4f30-93a8-72b765389533.js";
          document.getElementsByTagName("head")[0].appendChild(mf);
          })();
          </script>
      </client-only>
  </v-app>
</template>

<script>
import axios from 'axios';
  export default {
    data () {
      return {
        clipped: false,
        fixed: false,
        items: [
          { icon: 'apps', title: 'Welcome', to: '/' },
          { icon: 'bubble_chart', title: 'Inspire', to: '/inspire' }
        ],
        miniVariant: false,
        right: true,
        rightDrawer: false,
        customer: false,
        broker: false,
        cart: [],
        toggleCart: true,
      }
    },
    created () {
      if (process.browser) {
        var iframe = document.getElementById('launcher');
        if (iframe) {
          iframe.style.display = 'none';
        }
        var markety = document.getElementsByClassName('mc_embed_signup');
        if (markety.length) {
          markety[0].style.display = 'none';
        }
      }
    },
    methods: {
        getNumber: function (val) {
                return +val;
        },
      deleteProduct: function (id_product, id_product_attribute) {
        var form_data = new FormData();
        form_data.append('id_product', id_product);
        form_data.append('id_product_attribute', id_product_attribute);
        axios.post(this.$store.state.api_domain + '?comp=process&action=deleteProduct', form_data, {
          withCredentials: true
        }).then((res) => {
          if (res.data.status == 'success') {
            this.$store.commit('setCart', res.data.message);
          }
        });
      },
      checkCart: function () {
        var form_data = new FormData;
        form_data.append('test', 'test');
        axios.post(this.$store.state.api_domain + '?comp=process&action=checkCart', form_data, {
          withCredentials: true
        }).then((res) => {
          if (res.data.status == 'success') {
            this.$store.commit('setCart', res.data.message);
          }
        });
      },
      qtyChange: function (data) {
        this.$store.commit('setCartError', false);
        var product = data.product;
        var qty = +data.qty;
        var minimal = +data.product.minimal_quantity;

        if (qty < minimal) {
          this.$store.commit('setCartError', 'Quantity cannot go below minimal ' + minimal);
          this.checkCart();
          var store = this.$store;
          setTimeout(function () {
            store.commit('setCartError', false);
          }, 7000);
          return false;
        }

        var form_data = new FormData();
        form_data.append('id_product', product.id_product);
        form_data.append('id_product_attribute', product.id_product_attribute);
        form_data.append('qty', qty);

        axios.post(this.$store.state.api_domain + '?comp=process&action=qtyChange', form_data, {
          withCredentials: true
        }).then((res) => {
          this.$store.commit('setCart', res.data.message);
        });
      }
    },
    computed: {
        cart_drawer: {
          get() {
            return this.$store.state.cart_drawer
          },
          set(val) {
            this.$store.commit('cartDrawer', val);
          }
        }
    }
  }
</script>
